Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZVATType Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| get ( $id=-1)
& | getAll ()
| delete ()
| id ()
| name ()
& | value ()
| setName ( $value)
| setValue ( $value)

## Public Attributes
| $ID
| $Name
| $VATValue

## Detailed Description

! eZTrade This class handles the different VAT Types.

See also
  eZProduct

Definition at line 40 of file ezvattype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZVATType::__construct | ( |  | $id = `-1` | ) |

Constructs a new object.

Definition at line 45 of file ezvattype.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZVATType::delete | ( |  | ) |

Deletes a VAT Type from the database.

Definition at line 142 of file ezvattype.php.

References $db, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ get()

eZVATType::get | ( |  | $id = `-1` | ) |

Fetches the VAT Type from the database.

Definition at line 98 of file ezvattype.php.

References $db, $id, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZVATType::getAll | ( |  | ) |

Retrieves all the VAT types from the database.

Definition at line 122 of file ezvattype.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZVATType::id | ( |  | ) |

Returns the object ID to the option. This is the unique ID stored in the database.

Definition at line 153 of file ezvattype.php.

References $ID.

## ◆ name()

eZVATType::name | ( |  | ) |

Returns the name of the vat type.

Definition at line 161 of file ezvattype.php.

References $Name.

## ◆ setName()

eZVATType::setName | ( |  | $value | ) |

Sets the name of the vat type.

Definition at line 179 of file ezvattype.php.

References Name.

## ◆ setValue()

eZVATType::setValue | ( |  | $value | ) |

Sets the value of the vat type.

Definition at line 187 of file ezvattype.php.

## ◆ store()

eZVATType::store | ( |  | ) |

Stores/updates the VATType in the database.

Definition at line 58 of file ezvattype.php.

References $db, $ret, eZDB\finish(), eZDB\globalDatabase(), and Name.

## ◆ value()

& eZVATType::value | ( |  | ) |

Returns the vat value of the vat type.

Definition at line 170 of file ezvattype.php.

References $VATValue.

## Member Data Documentation

## ◆ $ID

eZVATType::$ID

Definition at line 192 of file ezvattype.php.

Referenced by __construct(), and id().

## ◆ $Name

eZVATType::$Name

Definition at line 193 of file ezvattype.php.

Referenced by name().

## ◆ $VATValue

eZVATType::$VATValue

Definition at line 194 of file ezvattype.php.

Referenced by value().

The documentation for this class was generated from the following file:

- ezvattype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.